cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bertrand Delacretaz <bdelacre...@apache.org>
Subject Activate the new template block by default in 2.1.x?
Date Tue, 11 Apr 2006 16:45:21 GMT
The problem in 2.1.x is as follows:

-ajax samples are configured to use the newjx generator

-but the new template block is disabled by default as it requires JDK  
1.4

-so the ajax block gives an error when you try to run the samples,  
one cannot even display the ajax block samples welcome page.

I could revert the samples to use the old jx generator, but having  
samples which use the new template block is a good thing IMHO.

Another option is to activate the new template block by default in  
2.1.x, but this means 2.1.x wouldn't compile out of the box with JDK  
1.3 anymore.

I'm for this latter option, if people need to use JDK 1.3 they can  
always customize blocks.properties, we can make a note of this in  
INSTALL.txt.

WDYT?

-Bertrand
Mime
View raw message